# OneToManyLinkedFull Class Reference
[IdentifiableObject collections handlers]

Inheritance diagram for OneToManyLinkedFull:
[legend]

List of all members.

## Public Member Functions

| makeFetchQuery ()
| sync ($insert, $update=array(), $delete)

## Detailed Description

Definition at line 15 of file OneToManyLinkedFull.class.php.

## Member Function Documentation

OneToManyLinkedFull::makeFetchQuery | ( |  | ) |

Returns:
  SelectQuery

Reimplemented from UnifiedContainerWorker.

Definition at line 20 of file OneToManyLinkedFull.class.php.

References UnifiedContainerWorker::makeSelectQuery(), and OneToManyLinkedWorker::targetize().

Here is the call graph for this function:

OneToManyLinkedFull::sync | ( | $ | insert,
|  | $ | update = `array()`,
|  | $ | delete |
| ) |  |  |

Returns:
  OneToManyLinkedFull

Reimplemented from UnifiedContainerWorker.

Definition at line 28 of file OneToManyLinkedFull.class.php.

References OSQL::delete(), Expression::eq(), DBPool::getByDao(), ArrayUtils::getIdsArray(), and Expression::in().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/UnifiedContainer/OneToManyLinkedFull.class.php